<?php
session_start();
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/aprobacion.php");
$aprobacion=new aprobacion;
include_once($ruta."funciones/funciones.php");
extract($_POST);

	$fecha=date("Y-m-d");
	$hora=date("H:i:s");
	$valoresp=array(
					"estado"=>"'0'"//aprobado
			 );	
	if($persona->actualizar($valoresp,$idpersona))
	{
			$valores=array(
				"idpersona"=>"'$idpersona'",
				"fecha"=>"'$fecha'",
				"motivo"=>"'$idmotivo'",
				"detalle"=>"'APROBADO'",
				"estado"=>"'1'"
			 );	
			if($aprobacion->insertar($valores))
			{
				?>
					<script type="text/javascript">
					swal({
						title: "Exito !!!",
						text: "Aprobado correctamente",
						type: "success",
						showCancelButton: false,
						confirmButtonColor: "#28e29e",
						confirmButtonText: "OK",
						closeOnConfirm: false
			          }, function () {
						location.reload();
			          });
					</script>
				<?php
			}else{
				?>
				<script type="text/javascript">
					sweetAlert("Error", "No se registro", "error");
				</script>
			<?php
			}
	
	}else{
		?>
			<script type="text/javascript">
				sweetAlert("Error", "No registrado, intente nuevamente", "error");
			</script>
		<?php
	}

?>